Subject: Re: Problems booting in ML403

From: "A. Nolson" <[email-masked]>
Date: Wed, 06 Feb 2008 13:04:59 +0100

It seems that the multiple "console=" parameters in the kernel were the 
problem. I have substituted for only

 console=ttyS0,9600 

Now I have managed to boot it completely.

Thank you!

Grant Likely wrote:
> On 2/5/08, A. Nolson <[email-masked]> wrote:
>   
>> Hello,
>>
>>  I am having problems while trying to boot my linux kernel 2.6.24-rc3 (
>> secretlab git). After some days studying this list and other related
>> documents/wikis about how to make work a linux kernel in my ML403, I
>> managed to make it work partially.
>>
>>     
> <snip>
>   
>> Linux/PPC load: console=ttyS0,9600 console=tty0,9600 console=ttyUL0,9600
>> root=/d
>> ev/xsa2 rw
>> init=/sbin/init
>>     
>
> What happens if you try init=/bin/sh?
>
> What does your /etc/inittab look like?
>
> It looks like the system is booting, but inittab might not be starting
> any processes attached to the serial console.
>
> Cheers,
> g.
>
>